Cancel pipeline
Action ID:tools.gitlab.cancel_pipeline
Cancel pipeline. Calls POST /projects/{project_id}/pipelines/{pipeline_id}/cancel directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Create commit
Action ID:tools.gitlab.create_commit
Create commit. Calls POST /projects/{project_id}/repository/commits directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
An array of action hashes to commit as a batch. Each action hash takes
action (one of create, delete, move, update, or chmod), file_path, and optionally content, encoding, execute_filemode, last_commit_id, and previous_path. Pass an empty array with allow_empty to create an empty commit.Name of the branch to commit into. To create a new branch, also provide either
start_branch or start_sha, and optionally start_project.GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".If
true, overwrites branch with a new commit based on start_branch or start_sha, replacing the branch’s existing commit history. Default is false.Default: null.Name of the branch to use as the parent for the new commit. If not provided and
start_sha is also not provided, defaults to the value of branch. Mutually exclusive with start_sha.Default: null.The project ID or URL-encoded path of the project to use as the source for
start_branch or start_sha. Defaults to the value of id.Default: null.SHA of the commit to use as the parent for the new commit. Must be a full 40-character SHA. Mutually exclusive with
start_branch.Default: null.Create issue
Action ID:tools.gitlab.create_issue
Create issue. Calls POST /projects/{project_id}/issues directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version. For bug and security reports, pass GitLab-native fields such as issue_type, confidential, labels, assignee_ids, and severity through payload unchanged.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
The IDs of the users to assign the issue to, as a comma-separated list. Premium and Ultimate only.Default:
null.GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".When the issue was created. Date time string, ISO 8601 formatted, for example
2016-03-11T03:45:40Z. Requires administrator or project/group owner rights.Default: null.The ID of a discussion to resolve. This fills out the issue with a default description and marks the discussion as resolved. Use in combination with
merge_request_to_resolve_discussions_of.Default: null.The due date. Date time string in the format
YYYY-MM-DD, for example 2016-03-11.Default: null.ID of the epic to add the issue to. Valid values are greater than or equal to 0. Premium and Ultimate only.Default:
null.The internal ID of the project’s issue (requires administrator or project owner rights).Default:
null.The type of issue. One of
issue, incident, test_case or task. Default is issue.Default: null.Comma-separated label names to assign to the new issue. If a label does not already exist, this creates a new project label and assigns it to the issue.Default:
null.The IID of a merge request in which to resolve all issues. This fills out the issue with a default description and marks all discussions as resolved. When passing a description or title, these values take precedence over the default values.Default:
null.The title of a project or ancestor-group milestone to assign the issue to. Matched exactly (case-sensitive). Mutually exclusive with
milestone_id.Default: null.The global ID of a milestone to assign issue. Mutually exclusive with
milestone.Default: null.The severity of the issue. Applies only to incidents. One of
unknown, low, medium, high, or critical.Default: null.The start date. Date time string in the format
YYYY-MM-DD, for example 2016-03-11.Default: null.The weight of the issue. Valid values are greater than or equal to 0. Premium and Ultimate only.Default:
null.Create issue link
Action ID:tools.gitlab.create_issue_link
Create issue link. Calls POST /projects/{project_id}/issues/{issue_iid}/links directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".The type of the relation (
relates_to, blocks, is_blocked_by), defaults to relates_to.Default: null.Create issue note
Action ID:tools.gitlab.create_issue_note
Create issue note. Calls POST /projects/{project_id}/issues/{issue_iid}/notes directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Deprecated: Renamed to
internal. The confidential flag of a note. Default is false.Default: null.Date time string, ISO 8601 formatted. It must be after 1970-01-01. Example:
2016-03-11T03:45:40Z (requires administrator or project/group owner rights).Default: null.The internal flag of a note. Overrides
confidential when both parameters are submitted. Default is false.Default: null.Create merge request
Action ID:tools.gitlab.create_merge_request
Create merge request. Calls POST /projects/{project_id}/merge_requests directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".API-native request body. Documented fields: source_branch (required), target_branch (required), title (required), allow_collaboration, allow_maintainer_to_push, approvals_before_merge, assignee_id, assignee_ids, description, labels, merge_after, milestone, milestone_id, remove_source_branch, reviewer_ids, squash, target_project_id.Default:
null.Create merge request note
Action ID:tools.gitlab.create_merge_request_note
Create merge request note. Calls POST /projects/{project_id}/merge_requests/{merge_request_iid}/notes directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".API-native request body. Documented fields: body (required), created_at, internal, merge_request_diff_head_sha.Default:
null.Create pipeline
Action ID:tools.gitlab.create_pipeline
Create pipeline. Calls POST /projects/{project_id}/pipeline directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
The branch or tag to run the pipeline on. For merge request pipelines use the merge requests endpoint.
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".A hash containing the inputs, as key-value pairs, to use when creating the pipeline.Default:
null.An array of hashes containing the variables available in the pipeline, matching the structure
[{ 'key': 'UPLOAD_TO_S3', 'variable_type': 'file', 'value': 'true' }, {'key': 'TEST', 'value': 'test variable'}]. If variable_type is excluded, it defaults to env_var.Default: null.Create project vulnerability export and wait
Action ID:tools.gitlab.create_project_vulnerability_export_and_wait
Creates a project vulnerability export with POST /security/projects/{project_id}/vulnerability_exports, then polls GET /security/vulnerability_exports/{export_id} while GitLab returns 202. Uses an api-scoped GitLab project access token. Required project role, Ultimate tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version. Polling is bounded and returns GitLab’s terminal response unchanged.
Reference: https://docs.gitlab.com/api/vulnerability_exports/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".API-native request body. Documented fields: export_format, report_data, send_email.Default:
null.Delete pipeline
Action ID:tools.gitlab.delete_pipeline
Delete pipeline. Calls DELETE /projects/{project_id}/pipelines/{pipeline_id} directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Download vulnerability export
Action ID:tools.gitlab.download_vulnerability_export
Download vulnerability export. Calls GET /security/vulnerability_exports/{export_id}/download directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Get issue
Action ID:tools.gitlab.get_issue
Get issue. Calls GET /projects/{project_id}/issues/{issue_iid} directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Get job trace
Action ID:tools.gitlab.get_job_trace
Get job trace. Calls GET /projects/{project_id}/jobs/{job_id}/trace directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Get merge request
Action ID:tools.gitlab.get_merge_request
Get merge request. Calls GET /projects/{project_id}/merge_requests/{merge_request_iid} directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Get project
Action ID:tools.gitlab.get_project
Get project. Calls GET /projects/{project_id} directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Include project statistics. Available only to users with the Reporter, Developer, Maintainer, or Owner role.Default:
null.Get project security settings
Action ID:tools.gitlab.get_project_security_settings
Get project security settings. Calls GET /projects/{project_id}/security_settings directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Get repository file
Action ID:tools.gitlab.get_repository_file
Get repository file. Calls GET /projects/{project_id}/repository/files/{file_path} directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Get vulnerability
Action ID:tools.gitlab.get_vulnerability
Get vulnerability. Calls GET /vulnerabilities/{vulnerability_id} directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version. This REST endpoint is deprecated and unstable; the response is preserved unchanged for supported GitLab versions.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".List commits
Action ID:tools.gitlab.list_commits
List commits. Calls GET /projects/{project_id}/repository/commits directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
Retrieve every commit from the repository. If
true, the ref_name parameter is ignored.Default: null.GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".If
true, follows only the first parent commit upon seeing a merge commit.Default: null.If
true, follows file renames when filtering commits by path, and returns commits for the file even if it was renamed. If false, returns only commits where the file existed at its current path. Used only when path specifies a single file. Defaults to true.Default: null.List commits in order. Possible values:
default, topo. Defaults to default, the commits are shown in reverse chronological order.Default: null.The name of a repository branch, tag, or revision range, or if not given the default branch.Default:
null.Only commits after or on this date are returned in ISO 8601 format
YYYY-MM-DDTHH:MM:SSZ.Default: null.Only commits before or on this date are returned in ISO 8601 format
YYYY-MM-DDTHH:MM:SSZ.Default: null.List issue notes
Action ID:tools.gitlab.list_issue_notes
List issue notes. Calls GET /projects/{project_id}/issues/{issue_iid}/notes directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
Filter notes by activity type. Valid values:
all_notes, only_comments, only_activity. Default is all_notes.Default: null.GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Return issue notes ordered by
created_at or updated_at fields. Default is created_at.Default: null.List merge request commits
Action ID:tools.gitlab.list_merge_request_commits
List merge request commits. Calls GET /projects/{project_id}/merge_requests/{merge_request_iid}/commits directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".List merge request diffs
Action ID:tools.gitlab.list_merge_request_diffs
List merge request diffs. Calls GET /projects/{project_id}/merge_requests/{merge_request_iid}/diffs directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".List merge request notes
Action ID:tools.gitlab.list_merge_request_notes
List merge request notes. Calls GET /projects/{project_id}/merge_requests/{merge_request_iid}/notes directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Return merge request notes ordered by
created_at or updated_at fields. Default is created_atDefault: null.List merge request pipelines
Action ID:tools.gitlab.list_merge_request_pipelines
List merge request pipelines. Calls GET /projects/{project_id}/merge_requests/{merge_request_iid}/pipelines directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".List merge requests
Action ID:tools.gitlab.list_merge_requests
List merge requests. Calls GET /projects/{project_id}/merge_requests directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
Returns merge requests approved by all the users with the given
id, up to 5 users. None returns merge requests with no approvals. Any returns merge requests with an approval.Default: null.Returns merge requests approved by all the users with the given
username, up to 5 users. None returns merge requests with no approvals. Any returns merge requests with an approval.Default: null.Returns merge requests which have all users with the specified
id as eligible approvers according to the approval rules. None returns merge requests with no eligible approvers. Any returns merge requests with at least one eligible approver. Premium and Ultimate only.Default: null.Returns merge requests assigned to the given user
id. None returns unassigned merge requests. Any returns merge requests with an assignee. Mutually exclusive with assignee_username.Default: null.Returns merge requests assigned to the given usernames. Mutually exclusive with
assignee_id.Default: null.Returns merge requests created by the given user
id. Mutually exclusive with author_username.Default: null.Returns merge requests created by the given
username. Mutually exclusive with author_id.Default: null.GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Returns merge requests created on or after the given date and time. Expected in ISO 8601 format (
2019-03-15T08:00:00Z).Default: null.Returns merge requests created on or before the given date and time. Expected in ISO 8601 format (
2019-03-15T08:00:00Z).Default: null.Returns merge requests deployed after the given date and time. Expected in ISO 8601 format (
2019-03-15T08:00:00Z).Default: null.Returns merge requests deployed before the given date and time. Expected in ISO 8601 format (
2019-03-15T08:00:00Z).Default: null.Filter merge requests by their
draft status. true returns only draft merge requests, false returns non-draft merge requests. Mutually exclusive with wip.Default: null.Change the scope of the
search attribute. title, description, or a string joining them with comma. Default is title,description.Default: null.Returns merge requests matching a comma-separated list of labels.
None lists all merge requests with no labels. Any lists all merge requests with at least one label. Predefined names are case-insensitive.Default: null.Returns merge requests merged by the user with the given user
id. Mutually exclusive with merge_user_username. Introduced in GitLab 17.0.Default: null.Returns merge requests merged by the user with the given
username. Mutually exclusive with merge_user_id. Introduced in GitLab 17.0.Default: null.Returns merge requests merged on or after the given date and time. Expected in ISO 8601 format (
2019-03-15T08:00:00Z).Default: null.Returns merge requests merged on or before the given date and time. Expected in ISO 8601 format (
2019-03-15T08:00:00Z).Default: null.Returns merge requests for a specific milestone.
None returns merge requests with no milestone. Any returns merge requests that have an assigned milestone.Default: null.Returns merge requests reacted by the authenticated user by the given
emoji. None returns issues not given a reaction. Any returns issues given at least one reaction.Default: null.Returns merge requests ordered by
created_at, updated_at, merged_at (introduced in GitLab 17.2), label_priority, priority, milestone_due, popularity, or title fields. Default is created_at.Default: null.Returns merge requests which have the user as a reviewer with the given user
id. None returns merge requests with no reviewers. Any returns merge requests with any reviewer. Mutually exclusive with reviewer_username.Default: null.Returns merge requests which have the user as a reviewer with the given
username. None returns merge requests with no reviewers. Any returns merge requests with any reviewer. Mutually exclusive with reviewer_id.Default: null.Returns merge requests for the given scope:
created_by_me, assigned_to_me, reviews_for_me, or all. reviews_for_me returns merge requests where the current user is assigned as a reviewer. Defaults to all.Default: null.Search merge requests against their
title and description. Combine with in attribute.Default: null.Returns all merge requests (
all) or just those that are opened, closed, locked, or merged. Defaults to all.Default: null.Returns merge requests updated on or after the given date and time. Expected in ISO 8601 format (
2019-03-15T08:00:00Z).Default: null.Returns merge requests updated on or before the given date and time. Expected in ISO 8601 format (
2019-03-15T08:00:00Z).Default: null.If
simple, returns the iid, URL, title, description, and basic state of merge request.Default: null.Deprecated in GitLab 19.0. Use
draft instead. Filter merge requests by their wip status. yes returns only draft merge requests, no returns non-draft merge requests.Default: null.If
true, response returns more details for each label in labels field: :name, :color, :description, :description_html, :text_color. Default is false.Default: null.If
true, this projection requests (but does not guarantee) an asynchronous recalculation of the merge_status field. Enable the restrict_merge_status_recheck feature flag to ignore this attribute when requested by users without the Developer, Maintainer, or Owner role.Default: null.List pipeline jobs
Action ID:tools.gitlab.list_pipeline_jobs
List pipeline jobs. Calls GET /projects/{project_id}/pipelines/{pipeline_id}/jobs directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Scope of jobs to show, as one of the job status values:
created, waiting_for_resource, preparing, waiting_for_callback, pending, running, success, failed, canceling, canceled, skipped, manual, or scheduled. All jobs are returned if scope is not provided.Default: null.List pipelines
Action ID:tools.gitlab.list_pipelines
List pipelines. Calls GET /projects/{project_id}/pipelines directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Return pipelines created after the specified date. Expected in ISO 8601 format (
2019-03-15T08:00:00Z).Default: null.Return pipelines created before the specified date. Expected in ISO 8601 format (
2019-03-15T08:00:00Z).Default: null.The field to order pipelines by:
id, status, ref, updated_at, or user_id (default: id).Default: null.Return pipelines in the specified scope:
running, pending, finished, branches, or tags.Default: null.Return pipelines with the specified status:
created, waiting_for_resource, preparing, waiting_for_callback, pending, running, success, failed, canceling, canceled, skipped, manual, or scheduled.Default: null.Return pipelines updated after the specified date. Expected in ISO 8601 format (
2019-03-15T08:00:00Z).Default: null.Return pipelines updated before the specified date. Expected in ISO 8601 format (
2019-03-15T08:00:00Z).Default: null.List project approval rules
Action ID:tools.gitlab.list_project_approval_rules
List project approval rules. Calls GET /projects/{project_id}/approval_rules directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".List project audit events
Action ID:tools.gitlab.list_project_audit_events
List project audit events. Calls GET /projects/{project_id}/audit_events directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Return project audit events created on or after the given time. Format: ISO 8601 (
YYYY-MM-DDTHH:MM:SSZ)Default: null.Return project audit events created on or before the given time. Format: ISO 8601 (
YYYY-MM-DDTHH:MM:SSZ)Default: null.List project dependencies
Action ID:tools.gitlab.list_project_dependencies
List project dependencies. Calls GET /projects/{project_id}/dependencies directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Returns dependencies belonging to specified package manager. Valid values:
bundler, composer, conan, go, gradle, maven, npm, nuget, pip, pipenv, pnpm, yarn, sbt, or setuptools. Accepts a comma-separated list.Default: null.List project labels
Action ID:tools.gitlab.list_project_labels
List project labels. Calls GET /projects/{project_id}/labels directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Whether or not to include issue and merge request counts. Defaults to
false.Default: null.List project members with inherited access
Action ID:tools.gitlab.list_project_members_with_inherited_access
List project members with inherited access. Calls GET /projects/{project_id}/members/all directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Filters results based on a given name, email, or username. Use partial values to widen the scope of the query.Default:
null.Filter results by member state, one of
awaiting or active. Premium and Ultimate only.Default: null.List project vulnerability findings
Action ID:tools.gitlab.list_project_vulnerability_findings
List project vulnerability findings. Calls GET /projects/{project_id}/vulnerability_findings directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version. This REST endpoint is deprecated and unstable; the response is preserved unchanged for supported GitLab versions.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Returns vulnerability findings belonging to specified report type. Valid values:
sast, dast, dependency_scanning, or container_scanning. Defaults to all. Accepts a comma-separated list.Default: null.Returns vulnerability findings for the given scope:
all or dismissed. Defaults to dismissed.Default: null.Returns vulnerability findings belonging to specified severity level:
info, unknown, low, medium, high, or critical. Defaults to all. Accepts a comma-separated list.Default: null.List project wiki pages
Action ID:tools.gitlab.list_project_wiki_pages
List project wiki pages. Calls GET /projects/{project_id}/wikis directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".List protected branches
Action ID:tools.gitlab.list_protected_branches
List protected branches. Calls GET /projects/{project_id}/protected_branches directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".List repository tree
Action ID:tools.gitlab.list_repository_tree
List repository tree. Calls GET /projects/{project_id}/repository/tree directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Tree record ID at which to fetch the next page. Used only with keyset pagination.Default:
null.Name of a repository branch or tag. If not specified, uses the default branch.Default:
null.If
true, include the last commit for each tree entry. Cannot be combined with recursive. Default is false.Default: null.Merge merge request
Action ID:tools.gitlab.merge_merge_request
Merge merge request. Calls PUT /projects/{project_id}/merge_requests/{merge_request_iid}/merge directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".API-native request body. Documented fields: auto_merge, merge_commit_message, merge_when_pipeline_succeeds, sha, should_remove_source_branch, squash, squash_commit_message.Default:
null.Retry pipeline
Action ID:tools.gitlab.retry_pipeline
Retry pipeline. Calls POST /projects/{project_id}/pipelines/{pipeline_id}/retry directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Search project
Action ID:tools.gitlab.search_project
Search project. Calls GET /projects/{project_id}/search directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
The scope to search in. Values include
issues, work_items, merge_requests, milestones, and users. Additional scopes are wiki_blobs, commits, blobs, and notes.GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Filter by confidentiality. Supports
issues and work_items scopes; other scopes are ignored.Default: null.Array of fields you wish to search, allowed values are
title only. Supports only issues and merge_requests scopes. Premium and Ultimate only.Default: null.Number of context lines to include around each match in the results. Available for advanced and exact code search only.Default:
null.Allowed values are
created_at only. If not set, results are sorted by created_at in descending order for basic search, or by the most relevant documents for advanced search.Default: null.The name of a repository branch or tag to search on. The project’s default branch is used by default. Applicable only for scopes
blobs, commits, and wiki_blobs.Default: null.Uses regular expressions to search for code. Available for exact code search. If not set, regular expressions are used.Default:
null.Allowed values are
asc or desc only. If not set, results are sorted by created_at in descending order for basic search, or by the most relevant documents for advanced search.Default: null.Filter by state. Supports
issues, work_items, and merge_requests scopes; other scopes are ignored.Default: null.Filter work items by type. Only applies to
work_items scope. Available types: issue, task, epic, incident, test_case, requirement, objective, key_result, ticket.Default: null.Semantic code search
Action ID:tools.gitlab.semantic_code_search
Semantic code search. Calls GET /projects/{project_id}/search/semantic directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version. Requires GitLab Duo and a GitLab version that supports the REST semantic search endpoint.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Number of nearest neighbors to consider during the vector search (1-100). Default is
64.Default: null.Update issue
Action ID:tools.gitlab.update_issue
Update issue. Calls PUT /projects/{project_id}/issues/{issue_iid} directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.
Input fields
Comma-separated label names to add to an issue. If a label does not already exist, this creates a new project label and assigns it to the issue.Default:
null.The ID of the users to assign the issue to, as a comma-separated list. Set to
0 to unassign all assignees.Default: null.GitLab API v4 base URL. Set this input to a workspace variable for a reusable self-managed host.Default:
"https://gitlab.com/api/v4".Flag indicating if the issue’s discussion is locked. If the discussion is locked only project members can add or edit comments.Default:
null.The due date. Date time string in the format
YYYY-MM-DD, for example 2016-03-11.Default: null.ID of the epic to add the issue to. Valid values are greater than or equal to 0. Premium and Ultimate only.Default:
null.Comma-separated label names for an issue. If a label does not already exist, this creates a new project label and assigns it to the issue.Default:
null.The title of a project or ancestor-group milestone to assign the issue to. Matched exactly (case-sensitive). Mutually exclusive with
milestone_id.Default: null.The global ID of a milestone to assign the issue to. Set to
0 to unassign a milestone. Mutually exclusive with milestone.Default: null.The severity of the issue. Only applies to incidents. One of
unknown, low, medium, high, or critical.Default: null.The start date. Date time string in the format
YYYY-MM-DD, for example 2016-03-11.Default: null.The state event of an issue. To close the issue, use
close, and to reopen it, use reopen.Default: null.When the issue was updated. Date time string, ISO 8601 formatted, for example
2016-03-11T03:45:40Z (requires administrator or project owner rights).Default: null.Update project security settings
Action ID:tools.gitlab.update_project_security_settings
Update project security settings. Calls PUT /projects/{project_id}/security_settings directly with an api-scoped GitLab project access token. Required project role, tier, and GitLab version are enforced by GitLab; GitLab Self-Managed availability depends on the installed version.
Reference: https://docs.gitlab.com/api/api_resources/
Secrets
Required secrets:gitlab: required valuesGITLAB_API_TOKEN.